-- Null-ls.
local status, null_ls = pcall(require, 'null-ls')
if (not status) then return end

local prettier_config = vim.fn.stdpath('config') .. '/lua/axp/plugins/null-ls/.prettierrc'
local formatting = null_ls.builtins.formatting

-- Init.
null_ls.setup {
	sources = {
		formatting.prettier.with({ extra_args = { "--config", prettier_config } })
	}
}
